EndpunkteSpatial roomsSpatial structures
Create a building or other multi-room structure
Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.
POST
Requires write scope. A structure may also be created atomically by the first grouped room-scan upload.
bearerAuthheader
AuthentifizierungBearer <inv_ token>X-Organization-ID?stringOrganization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.
Format
uuidapplication/json- body
id?stringFormat
uuidname*stringLänge
1 <= length <= 240description?stringLänge
length <= 10000Standard
""georeference?|nullStructure created
curl -X POST 'https://inventory.example.com/api/v1/spatial-structures' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Beispielantwort
Leer